CVC4::CommandFailure Class Reference

`#include <command.h>`

Inheritance diagram for CVC4::CommandFailure:
[legend]
Collaboration diagram for CVC4::CommandFailure:
[legend]

## Public Member Functions

| CommandFailure (std::string message) throw ()
CommandFailure & | clone () const
| ~CommandFailure () throw ()
std::string | getMessage () const throw ()
void | toStream (std::ostream &out, OutputLanguage language=language::output::LANG_AUTO) const throw ()

## Detailed Description

Definition at line 175 of file command.h.

## Constructor & Destructor Documentation

## CommandFailure()

CVC4::CommandFailure::CommandFailure | ( | std::string | message | ) |
throw | ( | ) |  |  |

inline

Definition at line 178 of file command.h.

## ~CommandFailure()

CVC4::CommandFailure::~CommandFailure | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 180 of file command.h.

## Member Function Documentation

## clone()

CommandFailure & CVC4::CommandFailure::clone | ( |  | ) | const

inlinevirtual

Implements CVC4::CommandStatus.

Definition at line 179 of file command.h.

## getMessage()

std::string CVC4::CommandFailure::getMessage | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 181 of file command.h.

## toStream()

void CVC4::CommandStatus::toStream | ( | std::ostream & | out,
|  | OutputLanguage | language = language::output::LANG_AUTO ) const
throw | ( | ) |  |  |

inherited

The documentation for this class was generated from the following file:

- src/expr/command.h